【活用ガイド】

JVNDB-2014-007226

Android の WAPPushManager モジュールにおける SQL インジェクションの脆弱性

概要

Android の WAPPushManager モジュールの packages/WAPPushManager/src/com/android/smspush/WapPushManager.java 内の queryLastApp メソッドには、SQL インジェクションの脆弱性が存在します。

ベンダは、本脆弱性を Bug 17969135 として公開しています。
CVSS による深刻度 (CVSS とは?)

基本値: 7.5 (危険) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的

影響を受けるシステム


Google
  • Android 5.0.0 未満

想定される影響

第三者により、任意の SQL コマンドを実行され、その結果、不正な形式の WAPPush メッセージに対する PDU の (1) wapAppId フィールドまたは (2) contentType フィールドを介して、アクティビティまたはサービスを起動される可能性があります。
対策

ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
ベンダ情報

Google
CWEによる脆弱性タイプ一覧  CWEとは?

  1. SQLインジェクション(CWE-89) [NVD評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2014-8507
参考情報

  1. National Vulnerability Database (NVD) : CVE-2014-8507
更新履歴

[2014年12月17日]
  掲載